Bug 519442 - serial text-mode firstaidkit does not use same TERM settings as anaconda text-mode
serial text-mode firstaidkit does not use same TERM settings as anaconda text...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: firstaidkit (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Martin Sivák
Fedora Extras Quality Assurance
:
: 524018 (view as bug list)
Depends On:
Blocks: F12Target
  Show dependency treegraph
 
Reported: 2009-08-26 12:08 EDT by James Laska
Modified: 2013-09-02 02:40 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-13 08:09:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Laska 2009-08-26 12:08:54 EDT
Description of problem:

anaconda text-mode and firstaidkit text-mode don't look the same when accessed from a serial console ("serial console=ttyS0").  As a result, in the current firstaidkit text-mode listing, it's not possible to see where the cursor is on the firstaidkit menus.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Boot F-12-Alpha into rescue mode
  
Actual results:

= anaconda text-mode =
            ┌─────────────────────┤ Rescue ├──────────────────────┐
            │                                                     │
            │ The rescue environment will now attempt to find   ↑ │
            │ your Linux installation and mount it under the    ▮ │
            │ directory /mnt/sysimage.  You can then make any   ▒ │
            │ changes required to your system.  If you want     ▒ │
            │ to proceed with this step choose 'Continue'.      ▒ │
            │ You can also choose to mount your file systems    ▒ │
            │ read-only instead of read-write by choosing       ▒ │
            │ 'Read-Only'.                                      ▒ │
            │                                                   ▒ │
            │ If for some reason this process fails you can     ▒ │
            │ choose 'Skip' and this step will be skipped and   ▒ │
            │ you will go directly to a command shell.          ↓ │
            │                                                     │
            │   ┌──────────┐      ┌───────────┐      ┌──────┐     │
            │   │ Continue │      │ Read-Only │      │ Skip │     │
            │   └──────────┘      └───────────┘      └──────┘     │
            │                                                     │
            │                                                     │
            └─────────────────────────────────────────────────────┘

= firstaidkit text-mode =

                 +-------------------------------------------+                  
                 | First Aid Kit quickstart menu             |                  
                 | +---------------------------------------+ |                  
                 | |        shell   Start shell            | |                  
                 | |        fakd    Run diagnostic         | |                  
                 | |        reboot  Reboot                 | |                  
                 | |                                       | |                  
                 | |                                       | |                  
                 | |                                       | |                  
                 | |                                       | |                  
                 | |                                       | |                  
                 | +---------------------------------------+ |                  
                 +-------------------------------------------+                  
                 |         <  OK  >     <Cancel>             |                  
                 +-------------------------------------------+                  


Expected results:

 * I would expect both UI's to have the same look and feel.  And I would expect to be able to see where the cursor is so I can make a selection from the firstaidkit menu.

Additional info:
Comment 1 Joel Andres Granados 2009-09-02 05:17:00 EDT
James:

The cursor not showing is definitely something that needs to be addressed.

When you say "they should have the same look and feel", are you suggesting that we use buttons like anaconda does?  If no, pls be more specific.  If yes, I don't think this is a good idea.  I prefer the list because of the stuff that will be there in the future.  We plan to put predefined rescue "targets" in that list.  so you can choose from "rescue your grub" or "rescue your X" or "rescue your partitions"....  Furthermore this list will grow and shrink in time and handling it with buttons seems awkward.
Comment 2 James Laska 2009-09-02 09:13:25 EDT
(In reply to comment #1)
> James:
> 
> The cursor not showing is definitely something that needs to be addressed.
> 
> When you say "they should have the same look and feel", are you suggesting that
> we use buttons like anaconda does?  If no, pls be more specific.  If yes, I
> don't think this is a good idea.  I prefer the list because of the stuff that
> will be there in the future.  We plan to put predefined rescue "targets" in
> that list.  so you can choose from "rescue your grub" or "rescue your X" or
> "rescue your partitions"....  Furthermore this list will grow and shrink in
> time and handling it with buttons seems awkward.  

Hi Joel ... this all sounds like a cool improvement.  Check out the cut'n'paste of the text-mode interfaces shown above.  The terminal isn't set correctly or is using the wrong newt flags or something?

Firstaidkit should have the same text-mode window layout (which is also the reason why the cursor selection is not visible).

So make this ...

                 +-------------------------------------------+                  
                 | First Aid Kit quickstart menu             |                  
                 | +---------------------------------------+ |                  
                 | |        shell   Start shell            | |                  
                 | |        fakd    Run diagnostic         | |                  
                 | |        reboot  Reboot                 | |                  
                 | |                                       | |                  
                 | |                                       | |                  
                 | |                                       | |                  
                 | |                                       | |                  
                 | |                                       | |                  
                 | +---------------------------------------+ |                  
                 +-------------------------------------------+                  
                 |         <  OK  >     <Cancel>             |                  
                 +-------------------------------------------+      

Look like this ...

            ┌──────────────── First Aid Kit Menu ├────────────────┐
            │                                                     │
            │  Select a recovery option from the list below:      │
            │                                                     │
            │  ┌────────────────────────────────────────────────┐ │
            │  │ shell    Start a shell to manually diagnose    │ │
            │  │ fakd     Run the first-aid-kit diagnostic tool │ │
            │  │ reboot   Reboot the system                     │ │
            │  │                                                │ │
            │  │                                                │ │
            │  │                                                │ │
            │  │                                                │ │
            │  │                                                │ │
            │  └────────────────────────────────────────────────┘ │
            │   ┌──────────┐                         ┌──────┐     │
            │   │ Select   │                         │ Exit │     │
            │   └──────────┘                         └──────┘     │
            └─────────────────────────────────────────────────────┘

Any then I think we can close this bug out.
Comment 3 Martin Sivák 2009-09-07 03:52:30 EDT
There may be a problem with that. First Aid Kit menu is not using newt, it is a simple bash script using dialog command for now (It is not even part of anaconda codebase, it belongs to firstaidkit package).

I could rewrite it in python, but it is not my topmost priority at the moment, I'm affraid. It will happen sooner or later, but I do not expect it this month.
Comment 4 Martin Sivák 2009-09-17 12:00:29 EDT
*** Bug 524018 has been marked as a duplicate of this bug. ***
Comment 5 Martin Sivák 2009-09-17 12:30:23 EDT
FirstAidKit will use whiptail (newt version of dialog) so it should have the same interface as anaconda. We will rebuild it soon.
Comment 6 Martin Sivák 2009-09-22 05:59:40 EDT
Fix should appear in anaconda-12.28 with firstaidkit-0.2.6
Comment 7 Patrick C. F. Ernzer 2009-09-28 13:49:40 EDT
in my rawhide mirror I have anaconda-12.31 today

fak's interface hasimproved but it's not perfect yet. I get this

                             shell  Start shell   
                             fakd   Run diagnostic
                 ┌─          reboot Reboot                  ─┐
                 │                                           │
                 │                                           │
                 │                                           │
                 │                                           │
                 │                                           │
                 │                                           │
                 │                                           │
                 │                                           │
                 │                                           │
                 │                                           │
                 │                                           │
                 │         <Ok>             <Cancel>         │
                 │                                           │
                 └───────────────────────────────────────────┘
Comment 8 Martin Sivák 2009-09-29 06:52:51 EDT
Sorry I made the dialog too small, fixed in firstaidkit 0.2.7. Unfortunately, I'm not sure if it makes F12, since the freeze is today.
Comment 13 Jesse Keating 2009-10-21 17:34:29 EDT
This doesn't seem to be a release blocking issue, certainly not something to delay the release for.  Moving to target.  Also, this is in modified, but it doesn't seem complete?
Comment 14 Martin Sivák 2009-10-22 02:42:20 EDT
It works on serial, the remaining issue is just the look&feel.. so no definitely not a blocker.
Comment 15 Bug Zapper 2010-03-15 08:47:13 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Bug Zapper 2011-06-02 13:47:58 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Patrick C. F. Ernzer 2011-06-13 08:09:13 EDT
the way it looks in F15, anaconda 15.31, now looks the way I wanted it to.
Thanks
This bug can be closed

Note You need to log in before you can comment on or make changes to this bug.